rem Autorun BATCH file by Sam Torno
rem http://www.nzcal.com/hp/houseofspuds
rem You may need to change the move command to a copy - then - delete. 
rem I'm using Windows XP, so others might not have move.
rem Anyway, good luck.  Also, the source for the delay program has been included.

@echo off

set port=7500
set progname=CircleMUD.exe
set fastboot=10
set pauseboot=60
set delayprog=Delay.exe

if exist log\syslog.6 del log\syslog.6
if exist log\syslog.5 ren log\syslog.5 syslog.6
if exist log\syslog.4 ren log\syslog.4 syslog.5
if exist log\syslog.3 ren log\syslog.3 syslog.4
if exist log\syslog.2 ren log\syslog.2 syslog.3
if exist log\syslog.1 ren log\syslog.1 syslog.2
if exist syslog ren syslog syslog.1
if exist syslog.1 move syslog.1 log

:Begin
cls
echo Using port %port%...
echo Current flags: %1 %2 %3 %4 %5 %6 %7
echo MUD Driver program name: %progname%
echo Delay program name: %delayprog%

if exist .killscript del .killscript
if exist .pause del .pause
if exist .fastboot del .fastboot

if not exist %progname% goto NoMUDDriver
if not exist %delayprog% goto NoDelayProgram

call %progname% %port% %1 %2 %3 %4 %5 %6 %7

cls
echo Program exit detected...
echo Checking for shutdown type...

if exist .killscript goto Die
if exist .fastboot goto Fastboot
if exist .pause goto Pauseboot
echo ---------------------- Abnormal Exit ----------------------
echo Viewing log file...
type syslog | more
pause
echo ---------------------- Restarting... ----------------------

:Fastboot
cls
echo Quick restart detected...
echo Renaming log files...
if exist log\syslog.6 del log\syslog.6
if exist log\syslog.5 ren log\syslog.5 syslog.6
if exist log\syslog.4 ren log\syslog.4 syslog.5
if exist log\syslog.3 ren log\syslog.3 syslog.4
if exist log\syslog.2 ren log\syslog.2 syslog.3
if exist log\syslog.1 ren log\syslog.1 syslog.2
if exist syslog ren syslog syslog.1
if exist syslog.1 move syslog.1 log

echo Restarting in %fastboot%  seconds...
call %delayprog% %fastboot% 14 2

goto Begin

:NoMUDDriver
echo Specified MUD driver (%progname%) not found...
goto End

:NoDelayProgram
echo Specified delay program (%delayprog%) not found...
goto End

:Pauseboot
cls
echo Slow restart detected...
echo Renaming log files...
if exist log\syslog.6 del log\syslog.6
if exist log\syslog.5 ren log\syslog.5 syslog.6
if exist log\syslog.4 ren log\syslog.4 syslog.5
if exist log\syslog.3 ren log\syslog.3 syslog.4
if exist log\syslog.2 ren log\syslog.2 syslog.3
if exist log\syslog.1 ren log\syslog.1 syslog.2
if exist syslog ren syslog syslog.1
if exist syslog.1 move syslog.1 log

echo Restarting in %pauseboot%  seconds...
call %delayprog% %pauseboot% 14 2

goto Begin

:Die
echo Kill restart script detected...
echo Renaming log files...
if exist log\syslog.6 del log\syslog.6
if exist log\syslog.5 ren log\syslog.5 syslog.6
if exist log\syslog.4 ren log\syslog.4 syslog.5
if exist log\syslog.3 ren log\syslog.3 syslog.4
if exist log\syslog.2 ren log\syslog.2 syslog.3
if exist log\syslog.1 ren log\syslog.1 syslog.2
if exist syslog ren syslog syslog.1
if exist syslog.1 move syslog.1 log

:End
echo Autoscript exiting...
set port=
set progname=
set fastboot=
set pauseboot=
set delayprog=
echo Environment variables cleared...
if exist .killscript del .killscript
if exist .pause del .pause
if exist .fastboot del .fastboot
echo Files deleted...
echo Autoscript done.
